<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F00AA3=09</action>
    </script>
  </cheat>

  <cheat desc="Display the Correct Answer">
    <script state="run">
      <output format="Correct Answer : %c">
        <argument>(maincpu.pb@(F01C0D))+0x31</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Good answer ends quiz Now!">
    <script state="on">
      <action>maincpu.pb@F00B79=01</action>
    </script>
  </cheat>

  <cheat desc="All Cards = Yellow Now!">
    <script state="on">
      <action>maincpu.pb@F01E17=00</action>
      <action>maincpu.pb@F01E19=00</action>
      <action>maincpu.pb@F01E1B=00</action>
      <action>maincpu.pb@F01E1D=00</action>
    </script>
  </cheat>

  <cheat desc="Choose First Card">
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@F01E17=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Choose Second Card">
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@F01E19=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Choose Third Card">
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@F01E1B=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Choose Fourth Card">
    <parameter min="1" max="7" step="1"/>
    <script state="change">
      <action>maincpu.pb@F01E1D=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Choose Dice Value">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action>maincpu.pb@F01B5F=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F00B71=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F00B73=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
